package com.sinosig.core.module.dao;

import com.sinosig.core.module.filter.SJZDXSearchContext;
import com.sinosig.core.module.dao.po.ISJZDXTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface ISJZDXTableDAO {

    ISJZDXTable createSjzdxTable();

    boolean create(ISJZDXTable et);

    ISJZDXTable get(String sjzdxid);

    ISJZDXTable get(ISJZDXTable et);

    boolean remove(String sjzdxid);

    boolean update(ISJZDXTable et);


    List<ISJZDXTable> searchCLZL(SJZDXSearchContext context);
    List<ISJZDXTable> searchYWLY(SJZDXSearchContext context);
    List<ISJZDXTable> searchCLDL(SJZDXSearchContext context);
    List<ISJZDXTable> searchDefault(SJZDXSearchContext context);
}
